Panduan pembalasan.id
Help Center

Add a new category

POST
/api/v1/accounts/{account_id}/portals/{id}/categories

Add a new category to portal

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

id*string

The slug identifier of the portal

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/accounts/0/portals/string/categories" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "description": "string",
  "locale": "string",
  "name": "string",
  "slug": "string",
  "position": 0,
  "portal_id": 0,
  "account_id": 0,
  "associated_category_id": 0,
  "parent_category_id": 0
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}